SessionDock Developer Docs
Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.
Replaces the waveform note lane. Requires full-automation mode.
/api/v1/sessions/{id}/waveform-notesReplaces the waveform note lane. Requires full-automation mode.
curl -X PUT 'http://127.0.0.1:18432/api/v1/sessions/session_123/waveform-notes?variantId=preview_main' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"notes": [
{
"id": "<string>",
"timestamp": 0,
"text": "<string>",
"createdAt": "2025-01-15T12:34:56Z",
"updatedAt": "2025-01-15T12:34:56Z"
}
]
}'| Name | In | Type | Required | Description | Example |
|---|---|---|---|---|---|
| id | path | string | Yes | Session identifier. | session_123 |
| variantId | query | string | No | Optional preview variant identifier. | preview_main |
application/json
{
"notes": [
{
"id": "<string>",
"timestamp": 0,
"text": "<string>",
"createdAt": "2025-01-15T12:34:56Z",
"updatedAt": "2025-01-15T12:34:56Z"
}
]
}{
"notes": [
{
"id": "<string>",
"timestamp": 0,
"text": "<string>",
"createdAt": "2025-01-15T12:34:56Z",
"updatedAt": "2025-01-15T12:34:56Z"
}
]
}Updated waveform notes
application/json
{
"data": {
"sessionId": "<string>",
"variantId": "<string>",
"key": "<string>",
"notes": [
{
"id": "<string>",
"timestamp": 0,
"text": "<string>",
"createdAt": "2025-01-15T12:34:56Z",
"updatedAt": "2025-01-15T12:34:56Z"
}
]
}
}{
"data": {
"sessionId": "<string>",
"variantId": "<string>",
"key": "<string>",
"notes": [
{
"id": "<string>",
"timestamp": 0,
"text": "<string>",
"createdAt": "2025-01-15T12:34:56Z",
"updatedAt": "2025-01-15T12:34:56Z"
}
]
}
}Malformed JSON or rejected input.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 400,
"code": "invalid_json",
"message": "Request body must be valid JSON."
}
}Missing or invalid bearer token.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 401,
"code": "unauthorized",
"message": "Provide Authorization: Bearer <token>."
}
}Write attempted while Local API is in read-only mode.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 403,
"code": "read_only",
"message": "Enable Full Automation to perform this action."
}
}No matching resource was found.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 404,
"code": "not_found",
"message": "session not found"
}
}Waveform notes service is unavailable in the current runtime.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 501,
"code": "waveform_notes_unavailable",
"message": "Waveform notes service is unavailable."
}
}